Summary:        PEAR: Horde Autoloader Cache

Name:           php-pear-Horde-Autoloader-Cache
%define pear_name  Horde_Autoloader_Cache
%define pear_sname horde_autoloader_cache
Version:        2.1.1
Release:        1.lux.1
License:        LGPL
Group:          Development/Libraries/PHP
Source0:        http://pear.horde.org/get/Horde_Autoloader_Cache-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/Horde_Autoloader_Cache
BuildRequires:	php-pear >= 1.7.0
BuildRequires:  php-pear-channel-horde
Requires:       php-pear-channel-horde
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php-pear >= 1.7.0
Requires:	php-pear-Horde-Autoloader >= 2.0.0
Requires:	php-pear-Horde-Autoloader <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Autoloader = 3.0.0alpha1
BuildArch:      noarch
# Fix for renaming (package convention)
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
Extension of the Horde_Autoloader that implements caching of class-file-maps.
The caching method is determined automatically from the list of supported cache backends: APC, XCache, eAccelerator, local file system.

%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__mkdir_p} %{buildroot}%{pear_phpdir}/.channels/
%{__cp} %{pear_phpdir}/.channels/pear.horde.org.reg %{buildroot}%{pear_phpdir}/.channels/

%{__pear} -v \
        -d doc_dir=/doc \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{pear_phpdir}/data \
        -d test_dir=%{pear_phpdir}/test \
        install --offline --nodeps -P "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{pear_xmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf %{buildroot}%{pear_phpdir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..


%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{pear_xmldir}/Horde_Autoloader_Cache.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Autoloader_Cache
fi

%files
%defattr(-,root,root)
%{pear_phpdir}/Horde/*
%{pear_xmldir}/%{pear_name}.xml
/usr/bin/horde-autoloader-cache-prune

%changelog
